export declare type PropOr<T extends object | undefined, P extends string | symbol | number, D> = T extends Partial<Record<P, unknown>> ? T[P] : D;
export declare type UnionKeys<T> = T extends unknown ? keyof T : never;
declare type AddOptionalKeys<K extends PropertyKey> = {
    [P in K]?: undefined;
};
export declare type Deunionize<B extends object | undefined, T extends B = B> = T extends object ? T & AddOptionalKeys<Exclude<UnionKeys<B>, keyof T>> : T;
/**
 * Expose properties from all union variants
 */
export declare function deunionize<T extends object | undefined>(t: T): Deunionize<T, T>;
export {};
//# sourceMappingURL=deunionize.d.ts.map